package com.hithomelabs.princeton1.module5;

public abstract class AbstractCustomSorts<E> {

    public abstract void sort(E[] arr);

    // TODO: Implement this method
    public void exch(E[] arr, int j, int i) {
        E temp = arr[i];
        arr[i] = arr[j];
        arr[j] = temp;
    }

    // TODO: Implement this method
    public boolean less(Comparable<E> e1, E e2) {
        return e1.compareTo(e2) < 0;
    }

}
